summarylogtreecommitdiffstats
path: root/start-imagegw.sh
diff options
context:
space:
mode:
Diffstat (limited to 'start-imagegw.sh')
-rwxr-xr-xstart-imagegw.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/start-imagegw.sh b/start-imagegw.sh
new file mode 100755
index 00000000000..491129ba0c2
--- /dev/null
+++ b/start-imagegw.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+if [ ! -f /etc/shifter/imagemanager.json ]; then
+ echo 'error: /etc/shifter/imagemanager.json does not exist'
+ exit 1
+fi
+SYSTEMS=($(jq '.Platforms | keys[]' /etc/shifter/imagemanager.json | sed -e 's/"//g'))
+ROOT_TREE=/opt/shifter/imagegw
+
+for QA in ${SYSTEMS}; do
+ echo "Starting Celery Queue $QA"
+ celery2 -A shifter_imagegw.imageworker worker -Q $QA --loglevel=INFO -n worker.queue.$QA &
+done
+
+echo "Starting imagegw API"
+python2 $ROOT_TREE/imagegwapi.py &